<div class="container">

<!--  form with questions that creates new ad-->
  <div class="upper_part">
    <div id="left_side">
      <div id="manufacturer">
        <div id="car_manufacturer_wrapper">
          <p-dropdown [(ngModel)]="car_manufacturer" (onChange)="load_models()" placeholder="Manufacturer"
            styleClass="dropdown" [options]="possible_manufacturers" [(ngModel)]="car_manufacturer" optionLabel="name">
          </p-dropdown>
        </div>
      </div>

      <div id="model">
        <div id="car_model_wrapper">
          <p-dropdown [(ngModel)]="car_model" placeholder="Model" styleClass="dropdown" optionLabel="name"
            [options]="possible_models"></p-dropdown>
        </div>
      </div>

      <div id="model_year">
        <div class="p-float-label">
          <input [(ngModel)]="model_year" class="float-input" id="float-input-model-year" type="number" pInputText>
          <label class="float-input-label" for="float-input-model-year">Model year</label>
        </div>
      </div>

      <div id="class">
        <div id="car_class_wrapper">
          <p-dropdown [(ngModel)]="car_class" placeholder="Class" optionLabel="name" styleClass="dropdown"
            [options]="car_classes"></p-dropdown>
        </div>
      </div>

      <div id="transmission">
        <div id="car_transmission_wrapper">
          <p-dropdown [(ngModel)]="car_transmission" placeholder="Transmission" styleClass="dropdown" optionLabel="name"
            [options]="possible_transmissions"></p-dropdown>
        </div>
      </div>

      <div id="engine">
        <div id="car_engine_wrapper">
          <p-dropdown [(ngModel)]="car_engine" placeholder="Engine" styleClass="dropdown" optionLabel="name"
            [options]="possible_engines"></p-dropdown>
        </div>
      </div>

      <div id="car_year">
        <div class="p-float-label">
          <input [(ngModel)]="car_year" class="float-input" id="float-input-car-year" type="number" pInputText>
          <label class="float-input-label" for="float-input-car-year">Car year</label>
        </div>
      </div>

    </div>


    <div id="right_side">

      <div id="color">
        <div class="p-float-label">
          <input [(ngModel)]="color" class="float-input" id="float-input-color" type="text" pInputText>
          <label class="float-input-label" for="float-input-color">Color</label>
        </div>
      </div>


      <div id="displacement">
        <div class="p-float-label">
          <input [(ngModel)]="displacement" class="float-input" id="float-input-displacement" type="number" pInputText>
          <label class="float-input-label" for="float-input-displacement">Displacement</label>
        </div>
      </div>


      <div id="price">
        <div class="p-float-label">
          <input [(ngModel)]="price" class="float-input" id="float-input-price" type="number" pInputText>
          <label class="float-input-label" for="float-input-price">Price</label>
        </div>
      </div>


      <div id="drivetrain">
        <div id="car_drivetrain_wrapper">
          <p-dropdown [(ngModel)]="car_drivetrain" placeholder="Drivetrain" [options]="possible_drivetrain"
            optionLabel="name" styleClass="dropdown"></p-dropdown>
        </div>
      </div>

      <div id="registration">
        <div class="p-float-label">
          <input [(ngModel)]="registration" id="float-input-registration" class="float-input" type="text"
            pInputText onfocus="(this.type='date')" onfocusout="(this.type='text')">
          <label class="float-input-label" for="float-input-registration">Registration</label>
        </div>
      </div>


      <div id="bargaining">
        <div id="ad_bargaining_wrapper">
          <p-dropdown [(ngModel)]="ad_bargaining" placeholder="Bargaining" [options]="possible_bargaining"
            optionLabel="name" styleClass="dropdown"></p-dropdown>
        </div>
      </div>

      <div id="milleage">
        <div class="p-float-label">
          <input [(ngModel)]="milleage" class="float-input" id="float-input-milleage" type="number" pInputText>
          <label class="float-input-label" for="float-input-milleage">Mileage</label>
        </div>
      </div>

    </div>


  </div>

  <div class="lower_part">
    <div class="p-float-textarea">
      <label for="float-input-description">Description</label>
      <textarea [(ngModel)]="description" class="float-input" pInputTextarea></textarea>
    </div>
  </div>

  <!--
  <div class="form-group lower_part_label">
    <label for="imageFile">Choose Image</label>
  </div>

  <div class = "form-group lower_part_button">
    <input type="file" id="uploadButton" capture="carImage" accept="image/*" (change)="uploadFile($event.target.files)">
    <label for="uploadButton">Choose Image</label>
  </div>
-->
<!--  part that loads image from our system -->
  <div class="form-group lower_part_uploadImage">
    <label for="imageFile">Choose Image:&nbsp;&nbsp;&nbsp;</label>
    <input type="file" id="uploadButton" capture="carImage" accept="image/*" (change)="uploadFile($event.target.files)">
  </div>

<!--  submit button-->
  <div class="lower_part">
    <button pButton class="p-button-raised p-button-rounded p-button-success" icon="pi pi-check" label="Submit"
      (click)="submitAd()"></button>
  </div>

</div>
